<?php

namespace Eater\Glim\Handler\Panel\Servers\Edit;

use Eater\Glim\Handler\Session;
use Eater\Glim\Model\ServerQuery;

class Action extends Session
{
    protected $shouldHaveSuperuser = true;

    public function handle()
    {
        $server = ServerQuery::create()->findOneByFingerprint($this->attr('fingerprint'));

        $server->setFqdn($this->post('fqdn'));
        $server->setExternalIp($this->post('external-ip'));

        # Details
        $server->setLocation($this->post('location'));
        $server->setSpeed($this->post('speed'));

        # Config
        $server->setInternalIp($this->post('internal-ip'));
        $server->setNetmask($this->post('netmask'));
        $server->setPort($this->post('post'));
        $server->setProtocol($this->post('protocol'));
        $server->setFirstDns($this->post('first-dns'));
        $server->setSecondDns($this->post('second-dns'));

        $server->save();

        $this->json([ 'success'=> true ]);
    }
}